Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class FederationTerminationNotification

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.liberty.v11.LibRequestMessage
oracle.security.xmlsec.liberty.v11.FederationTerminationNotification`

public class FederationTerminationNotification
extends LibRequestMessage

This class represents the FederationTerminationNotification element in the Liberty Federation Termination Notification protocol. The provider sends a FederationTerminationNotification to a provider with which it is terminating a federation. This messgae is a one-way asychronous message.

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`` | `FederationTerminationNotification(org.w3c.dom.Document owner)` Creates a new `FederationTerminationNotification` instance within the specified XML Document.
`` | `FederationTerminationNotification(org.w3c.dom.Document owner, java.lang.String requestId, java.util.Date issueInstant, java.lang.String providerId)` Creates a new `FederationTerminationNotification` instance within the specified XML Document.
`protected` | `FederationTerminationNotification(org.w3c.dom.Document owner, java.lang.String nsURI, java.lang.String localName)` Deprecated. No Replacement.
`` | `FederationTerminationNotification(org.w3c.dom.Element element)` Creates a new `FederationTerminationNotification` instance from the given Element node.
`` | `FederationTerminationNotification(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `FederationTerminationNotification` instance from the given Element node.

Method Summary
`protected java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`oracle.security.xmlsec.saml.NameIdentifier` | `getNameIdentifier()` Gets the smal:NameIdentifier element contained in this element.
`void` | `setNameIdentifier(oracle.security.xmlsec.saml.NameIdentifier nameId)` Sets the smal:NameIdentifier child element in this element.
`java.lang.String` | `toURLString(oracle.security.crypto.core.PrivateKey key, java.lang.String sigAlg)` Returns this `FederationTerminationNotification` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.

Methods inherited from class oracle.security.xmlsec.liberty.v11.LibRequestMessage
`addSignature, addSignature, getChildElementPosition, getId, getInstance, getProviderID, getRelayState, setId, setProviderID, setRelayState`

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getID, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FederationTerminationNotification

    public FederationTerminationNotification(org.w3c.dom.Element element)
                                      throws org.w3c.dom.DOMException

  Creates a new `FederationTerminationNotification` instance from the given Element node.
Parameters:
  `element` - A Liberty FederationTerminationNotification XML element.

### FederationTerminationNotification

    public FederationTerminationNotification(org.w3c.dom.Element element,
                                             java.lang.String systemId)
                                      throws org.w3c.dom.DOMException

  Creates a new `FederationTerminationNotification` instance from the given Element node.
Parameters:
  `element` - A Liberty FederationTerminationNotification XML element.
  `systemId` - The URI string system ID for the `FederationTerminationNotification`.

### FederationTerminationNotification

    public FederationTerminationNotification(org.w3c.dom.Document owner)
                                      throws org.w3c.dom.DOMException

  Creates a new `FederationTerminationNotification` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty FederationTerminationNotification element.

### FederationTerminationNotification

    public FederationTerminationNotification(org.w3c.dom.Document owner,
                                             java.lang.String requestId,
                                             java.util.Date issueInstant,
                                             java.lang.String providerId)

  Creates a new `FederationTerminationNotification` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty FederationTerminationNotification element.
  `requestId` - The `RequestID` attribute.
  `issueInstant` - The `IssueInstant` attribute.
  `providerId` - The `ProviderID` child element.

### FederationTerminationNotification

    protected FederationTerminationNotification(org.w3c.dom.Document owner,
                                                java.lang.String nsURI,
                                                java.lang.String localName)

  Deprecated. No Replacement.
  Called by subclasses of `FederationTerminationNotification`.
Parameters:
  `owner` - The owner document of the new `FederationTerminationNotification`.
  `nsURI` - The namespace URI in which the new `FederationTerminationNotification` is to be created.
  `localName` - The localName of the element represented by the class that this abstract class.

Method Detail

### setNameIdentifier

    public void setNameIdentifier(oracle.security.xmlsec.saml.NameIdentifier nameId)

  Sets the smal:NameIdentifier child element in this element. This required child element contains the name identifier of the Principle to which this notification pertains.

### getNameIdentifier

    public oracle.security.xmlsec.saml.NameIdentifier getNameIdentifier()

  Gets the smal:NameIdentifier element contained in this element.
  Returns:
    A SAML `NameIdentifier` object.

### toURLString

    public java.lang.String toURLString(oracle.security.crypto.core.PrivateKey key,
                                        java.lang.String sigAlg)
                                 throws oracle.security.xmlsec.dsig.SigningException

  Returns this `FederationTerminationNotification` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.
  Parameters:
    `key` - The private signing key. If `null`, the query string will not be signed.
    `sigAlg` - The URI identifying the signature algorithm to use. If `null`, the query string will not be signed.
  Throws:
    `oracle.security.xmlsec.dsig.SigningException` - If an error occurs computing the signature.
  Since:
    2.0 Build B

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsNSURIs` in class `LibRequestMessage`

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsLocalNames` in class `LibRequestMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.